
scripts = [
           "svd_ablation_2/svd_1.py", 
           "svd_ablation_2/svd_2.py",
           "svd_ablation_2/svd_7_1.py", 
           "svd_ablation_2/svd_7_2.py", 
           "svd_ablation_2/svd_7_3.py",
           "svd_ablation_2/svd_7_4.py",
           "svd_ablation/svd_7_4.py",
           "svd_ablation/svd_10_4.py",
           "svd_ablation/svd_10_3.py",
           "svd_ablation/svd_10_2.py",
           "svd_ablation/svd_10_1.py",
           "svd_ablation_2/svd_10_4.py",
           "svd_ablation_2/svd_10_3.py",
           "svd_ablation_2/svd_10_2.py",
           "svd_ablation_2/svd_10_1.py",
        ]


for script in scripts:
    print(f"Running {script}...")
    with open(script) as f:
        code = f.read()
        exec(code)
